WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Block Top Spammers

Block Top Spammers displays a list of your top spammers' IP addresses. It also generates a blacklist for your .htaccess file.

0.5

  • blocking access to wp-comments-post.php only
  • error document gives a short explanation why access was denied, links to http://ten-fingers-and-a-brain.com/top-spammers.html
  • admin page moved to the Comments section of the admin menu
  • IPv6 compatibility
  • Notice errors fixed
  • automatic updates of .htaccess (when writable)

0.4.3

  • links to whois (ARIN, RIPE, APNIC, LACNIC, AfriNIC)
  • can't blacklist an IP that has comments pending moderation (likely ham because Akismet hasn't caught them)
  • links to ham or moderation queue for IP addresses with ham or comments pending moderation
  • layout improvements

0.4.2

  • link from Block Top Spammers page to edit-comments.php to display the spam comments from a certain IP
  • better support for WP 2.9 and newer: when deleting comments the commentmeta table gets purged, too

0.4.1

  • plugin now officially licensed under GPLv3
  • list of top spammers can be ordered by IP address
  • show no. of different (unique) spammers' IP addresses
  • admins can't lock themselves out, i.e. their own client IP can't be blacklisted
  • can't blacklist an IP that also has approved comments (ham)

0.4

  • separated the code into three .php files
    • top-spammers.php the main plugin file, always loaded, contains minimal code to reduce loading time
    • top-spammers-wp.php the plugin class file, contains all the original plugin code, only loaded in backend
    • top-spammers-template.php the admin-page template file, contains just the admin-page html code, only loaded when admin-page is displayed
  • blacklist not autoloaded to reduce loading time
  • i18n
  • l10n for: de_DE (language file by Martin Lormes)

0.3

  • initial public release

Requires: 2.8 or higher
Compatible up to: 2.9.2
Last Updated: 2010-3-23
Downloads: 3,188

Ratings

4 stars
4.5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
100,1,1 100,1,1
100,1,1 100,2,2
100,1,1
100,2,2
100,1,1
100,1,1
100,1,1
100,1,1
100,1,1